using Qwirkle.Views;
using QwirkleClassLibrary.Games;

namespace Qwirkle.Pages;

public partial class SetPlayers : ContentPage
{
	public SetPlayers()
	{
		InitializeComponent();
        BindingContext = this;
    }

    public EntryPlayer Entry1 { get; set; }
        = new EntryPlayer
        {
            TextOn = "Player 1",
            TextIn = "Entry tag of player 1"
        };
    public EntryPlayer Entry2 { get; set; }
        = new EntryPlayer
        {
            TextOn = "Player 2",
            TextIn = "Entry tag of player 2"
        };

    public EntryPlayer Entry3 { get; set; }
        = new EntryPlayer
        {
            TextOn = "Player 3",
            TextIn = "Entry tag of player 3"
        };

    public EntryPlayer Entry4 { get; set; }
        = new EntryPlayer
        {
            TextOn = "Player 4",
            TextIn = "Entry tag of player 4"
        };

    void OnButtonContinueClick(object sender, EventArgs e)
    {
        string entry1 = Entry1.TextIn;
        DisplayAlert("Game notification", entry1, "Ok ! Lets's go !");
    }
}